package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SyUserMenu;

import java.util.List;

/**
 * 角色与菜单关联表 数据层
 * 
 * @author ruoyi
 */
public interface SysUserMenuMapper
{
    /**
     * 查询菜单使用数量
     * 
     * @param menuId 菜单ID
     * @return 结果
     */
    public int checkUserMenuExistRole(Long menuId);

    /**
     * 通过用户ID删除角色和菜单关联
     * 
     * @param userId 用户ID
     * @return 结果
     */
    public int deleteUserMenuByUserId(Long userId);

    /**
     * 批量删除用户菜单关联信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */

    public int deleteUserMenu(Long[] ids);

    /**
     * 批量新增用户菜单信息
     * 
     * @param userMenuList 用户菜单列表
     * @return 结果
     */
    public int batchUserMenu(List<SyUserMenu> userMenuList);
}
